Kerbal Space Program - Bug #5396

Decoupled rising vessel with Kerbal onboard put on rails and destroyed when 20 km away
09/10/2015 08:36 PM - germanicianus

Status: Not a Bug Start date: 09/10/2015
Severity: Normal % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Steps to Replicate:

1. Launch attached craft which has 2 stages - each manned with a Kerbal.

2. Separate them when the first stage has burned out. The chute of first stage will open.

3. Fire the second stage up (which has the focus). It will rise further.

4. Immediately switch the focus to the first stage with key ' which is gliding down meanwhile.
5. Look up to the rising second stage (target it eventually).

Expected:
The second stage rises until it reaches about 60 km and then falls down.

Result/Observed:
The second stage vanishes/is destroyed when it is 20 km away.

Notes:

My understanding is that debris in atmosphere is put on rails when it exceeds 2.5 km distance from the vessel which currently has
the focus. It is removed/destroyed when it exceeds 20 km distance. None of these should occur if the stage is manned or equipped
with an automated command module.

Excerpt of output_log.txt:
Vessel Test 2 was on-rails at 1.5 atm pressure and was destroyed.
[Vessel Test 2]: Bill Kerman are now dead.
This behavior also causes manned/automated stages to crash onto the surface on rails even if they have an open chute attached.
Attached files:
1. screenshots of the behavior

2. output_log.txt (relevant excerpt)
3. craft file

History

#1 - 09/10/2015 08:40 PM - germanicianus
- File 5_flight_results.jpg added

Add missing screenshot of flight results.
#2 - 09/10/2015 09:04 PM - germanicianus
Additionally to fixing this bug it would be very helpful to add two settings beside the already existing setting for the number of debris parts. One would

be the distance to put objects on rails (to prevent crashing despite having a chute) and the other one the distance to remove objects.

#3 - 09/10/2015 10:18 PM - hfbs

debris in atmosphere is put on rails when it exceeds 2.5 km distance from the vessel which currently has the focus. It is removed/destroyed
when it exceeds 20 km distance. None of these should occur if the stage is manned or equipped with an automated command module.

This is where this misunderstanding comes from. In atmosphere, any jettisoned parts are kept loaded until roughly 22km away. Beyond that, they're
put on rails and, if the atmospheric pressure is high enough (over 0.1 atm), deleted. This applies to any parts - fuel tanks, engines, command pods,
probe cores, anything that isn't the active vessel. The limit used to be about 2.3km; this was increased but the behaviour remains the same. Any parts
that exit the physics bubble in atmosphere are deleted, always have been, (probably) always will be.

#4 - 09/14/2015 09:50 PM - RexKramer
- Status changed from New to Not a Bug
- % Done changed from 0 to 100

- Platform Any added

- Platform deleted (Windows)

Marking as not a bug. While this behavior is certainly not ideal in many situations, it is currently the intended behavior of the game. The stock game
does not keep vessels beyond a certain range from the focused vessel which are in an atmosphere.

Thank you for the report germanicianus, it is clear and well-written.
